OGRE: Ogre::VertexPoseKeyFrame Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::VertexPoseKeyFrame Class Reference
Core » Animation

Specialised KeyFrame which references a Mesh::Pose at a certain influence level, which stores offsets for a subset of the vertices in a buffer to provide a blendable pose. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::VertexPoseKeyFrame:
[legend]

## Classes
struct | PoseRef
| Reference to a pose at a given influence level. More...

## Public Types
typedef ConstVectorIterator< PoseRefList > | ConstPoseRefIterator
typedef VectorIterator< PoseRefList > | PoseRefIterator
typedef std::vector< PoseRef > | PoseRefList

## Public Member Functions
| VertexPoseKeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
| ~VertexPoseKeyFrame ()
void | _applyBaseKeyFrame (const VertexPoseKeyFrame *base)
KeyFrame * | _clone (AnimationTrack *newParent) const override
| Clone a keyframe (internal use only).
void | addPoseReference (ushort poseIndex, float influence)
| Add a new pose reference.
PoseRefIterator | getPoseReferenceIterator (void)
| Get an iterator over the pose references.
ConstPoseRefIterator | getPoseReferenceIterator (void) const
| Get a const iterator over the pose references.
const PoseRefList & | getPoseReferences (void) const
| Get a const reference to the list of pose references.
void | removeAllPoseReferences (void)
| Remove all pose references.
void | removePoseReference (ushort poseIndex)
| Remove reference to a given pose.
void | updatePoseReference (ushort poseIndex, float influence)
| Update the influence of a pose reference.
Public Member Functions inherited from Ogre::KeyFrame
| KeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
virtual | ~KeyFrame ()
Real | getTime (void) const
| Gets the time of this keyframe in the animation sequence.

## Detailed Description

Specialised KeyFrame which references a Mesh::Pose at a certain influence level, which stores offsets for a subset of the vertices in a buffer to provide a blendable pose.

## Member Typedef Documentation

## ◆ PoseRefList

typedef std::vector<PoseRef> Ogre::VertexPoseKeyFrame::PoseRefList

## ◆ PoseRefIterator

typedef VectorIterator<PoseRefList> Ogre::VertexPoseKeyFrame::PoseRefIterator

## ◆ ConstPoseRefIterator

typedef ConstVectorIterator<PoseRefList> Ogre::VertexPoseKeyFrame::ConstPoseRefIterator

## Constructor & Destructor Documentation

## ◆ VertexPoseKeyFrame()

Ogre::VertexPoseKeyFrame::VertexPoseKeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time )

Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

Referenced by _applyBaseKeyFrame().

## ◆ ~VertexPoseKeyFrame()

Ogre::VertexPoseKeyFrame::~VertexPoseKeyFrame | ( |  | ) |
| inline

## Member Function Documentation

## ◆ addPoseReference()

void Ogre::VertexPoseKeyFrame::addPoseReference | ( | ushort | poseIndex,
|  | float | influence )

Add a new pose reference.

See also
  PoseRef

## ◆ updatePoseReference()

void Ogre::VertexPoseKeyFrame::updatePoseReference | ( | ushort | poseIndex,
|  | float | influence )

Update the influence of a pose reference.

See also
  PoseRef

## ◆ removePoseReference()

void Ogre::VertexPoseKeyFrame::removePoseReference | ( | ushort | poseIndex | ) |

Remove reference to a given pose.

Parameters

  poseIndex | The pose index (not the index of the reference)

## ◆ removeAllPoseReferences()

void Ogre::VertexPoseKeyFrame::removeAllPoseReferences | ( | void |  | ) |

Remove all pose references.

## ◆ getPoseReferences()

const PoseRefList & Ogre::VertexPoseKeyFrame::getPoseReferences | ( | void |  | ) | const

Get a const reference to the list of pose references.

## ◆ getPoseReferenceIterator() [1/2]

PoseRefIterator Ogre::VertexPoseKeyFrame::getPoseReferenceIterator | ( | void |  | ) |

Get an iterator over the pose references.

Deprecated
  use getPoseReferences()

## ◆ getPoseReferenceIterator() [2/2]

ConstPoseRefIterator Ogre::VertexPoseKeyFrame::getPoseReferenceIterator | ( | void |  | ) | const

Get a const iterator over the pose references.

Deprecated
  use getPoseReferences()

## ◆ _clone()

KeyFrame * Ogre::VertexPoseKeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const
| overridevirtual

Clone a keyframe (internal use only).

Reimplemented from Ogre::KeyFrame.

References Ogre::KeyFrame::KeyFrame().

## ◆ _applyBaseKeyFrame()

void Ogre::VertexPoseKeyFrame::_applyBaseKeyFrame | ( | const VertexPoseKeyFrame * | base | ) |

References VertexPoseKeyFrame().

The documentation for this class was generated from the following file:

- OgreKeyFrame.h